Index: trunk/Gemfile
===================================================================
--- trunk/Gemfile	(revision 11895)
+++ trunk/Gemfile	(revision 11896)
@@ -78,7 +78,7 @@
 
 group :test do
   gem "shoulda", "~> 3.3.2"
-  gem "mocha", "~> 0.13.3"
+  gem "mocha", ">= 0.14", :require => 'mocha/api'
   if RUBY_VERSION >= '1.9.3'
     gem "capybara", "~> 2.1.0"
     gem "selenium-webdriver"
Index: trunk/lib/plugins/open_id_authentication/test/test_helper.rb
===================================================================
--- trunk/lib/plugins/open_id_authentication/test/test_helper.rb	(revision 11895)
+++ trunk/lib/plugins/open_id_authentication/test/test_helper.rb	(revision 11896)
@@ -8,7 +8,7 @@
 require 'action_controller'
 
 gem 'mocha'
-require 'mocha'
+require 'mocha/setup'
 
 gem 'ruby-openid'
 require 'openid'
Index: trunk/test/integration/account_test.rb
===================================================================
--- trunk/test/integration/account_test.rb	(revision 11895)
+++ trunk/test/integration/account_test.rb	(revision 11896)
@@ -18,7 +18,7 @@
 require File.expand_path('../../test_helper', __FILE__)
 
 begin
-  require 'mocha'
+  require 'mocha/setup'
 rescue
   # Won't run some tests
 end
Index: trunk/test/unit/lib/redmine/scm/adapters/bazaar_adapter_test.rb
===================================================================
--- trunk/test/unit/lib/redmine/scm/adapters/bazaar_adapter_test.rb	(revision 11895)
+++ trunk/test/unit/lib/redmine/scm/adapters/bazaar_adapter_test.rb	(revision 11896)
@@ -17,7 +17,7 @@
 
 require File.expand_path('../../../../../../test_helper', __FILE__)
 begin
-  require 'mocha'
+  require 'mocha/setup'
 
   class BazaarAdapterTest < ActiveSupport::TestCase
     REPOSITORY_PATH = Rails.root.join('tmp/test/bazaar_repository').to_s
Index: trunk/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb
===================================================================
--- trunk/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb	(revision 11895)
+++ trunk/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb	(revision 11896)
@@ -17,7 +17,7 @@
 
 require File.expand_path('../../../../../../test_helper', __FILE__)
 begin
-  require 'mocha'
+  require 'mocha/setup'
 
   class CvsAdapterTest < ActiveSupport::TestCase
     REPOSITORY_PATH = Rails.root.join('tmp/test/cvs_repository').to_s
Index: trunk/test/unit/lib/redmine/scm/adapters/darcs_adapter_test.rb
===================================================================
--- trunk/test/unit/lib/redmine/scm/adapters/darcs_adapter_test.rb	(revision 11895)
+++ trunk/test/unit/lib/redmine/scm/adapters/darcs_adapter_test.rb	(revision 11896)
@@ -17,7 +17,7 @@
 
 require File.expand_path('../../../../../../test_helper', __FILE__)
 begin
-  require 'mocha'
+  require 'mocha/setup'
 
   class DarcsAdapterTest < ActiveSupport::TestCase
     REPOSITORY_PATH = Rails.root.join('tmp/test/darcs_repository').to_s
Index: trunk/test/unit/lib/redmine/scm/adapters/git_adapter_test.rb
===================================================================
--- trunk/test/unit/lib/redmine/scm/adapters/git_adapter_test.rb	(revision 11895)
+++ trunk/test/unit/lib/redmine/scm/adapters/git_adapter_test.rb	(revision 11896)
@@ -17,7 +17,7 @@
 
 require File.expand_path('../../../../../../test_helper', __FILE__)
 begin
-  require 'mocha'
+  require 'mocha/setup'
 
   class GitAdapterTest < ActiveSupport::TestCase
     REPOSITORY_PATH = Rails.root.join('tmp/test/git_repository').to_s
Index: trunk/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb
===================================================================
--- trunk/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb	(revision 11895)
+++ trunk/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb	(revision 11896)
@@ -17,7 +17,7 @@
 
 require File.expand_path('../../../../../../test_helper', __FILE__)
 begin
-  require 'mocha'
+  require 'mocha/setup'
 
   class MercurialAdapterTest < ActiveSupport::TestCase
     HELPERS_DIR        = Redmine::Scm::Adapters::MercurialAdapter::HELPERS_DIR
Index: trunk/test/unit/lib/redmine/scm/adapters/subversion_adapter_test.rb
===================================================================
--- trunk/test/unit/lib/redmine/scm/adapters/subversion_adapter_test.rb	(revision 11895)
+++ trunk/test/unit/lib/redmine/scm/adapters/subversion_adapter_test.rb	(revision 11896)
@@ -18,7 +18,7 @@
 require File.expand_path('../../../../../../test_helper', __FILE__)
 
 begin
-  require 'mocha'
+  require 'mocha/setup'
 
   class SubversionAdapterTest < ActiveSupport::TestCase
 