Index: branches/3.0-stable/public/help/es-pa/wiki_syntax.html
===================================================================
--- branches/3.0-stable/public/help/es-pa/wiki_syntax.html	(nonexistent)
+++ branches/3.0-stable/public/help/es-pa/wiki_syntax.html	(revision 14196)
@@ -0,0 +1,86 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta http-equiv="Content-Style-Type" content="text/css" />
+<title>Formato de la Wiki</title>
+<style type="text/css">
+h1 { font-family: Verdana, sans-serif; font-size: 14px; text-align: center; color: #444; }
+body { font-family: Verdana, sans-serif; font-size: 12px; color: #444; }
+table th { padding-top: 1em; }
+table td { vertical-align: top; background-color: #f5f5f5; height: 2em; vertical-align: middle;}
+table td code { font-size: 1.2em; }
+table td h1 { font-size: 1.8em; text-align: left; }
+table td h2 { font-size: 1.4em; text-align: left; }
+table td h3 { font-size: 1.2em; text-align: left; }
+
+table.sample { border-collapse: collapse; border-spacing: 0; margin: 4px; }
+table.sample th, table.sample td { border: solid 1px #bbb; padding: 4px; height: 1em; }
+</style>
+</head>
+<body>
+
+<h1>Guia R&aacute;pida de Sintaxis de la Wiki</h1>
+
+<table style="width:100%">
+<tr><th colspan="3">Estilo de fuentes</th></tr>
+<tr><th><img src="../../images/jstoolbar/bt_strong.png" style="border: 1px solid #bbb;" alt="Negrita" /></th><td style="width:50%;">*Negrita*</td><td style="width:50%;"><strong>Negrita</strong></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_em.png" style="border: 1px solid #bbb;" alt="Cursiva" /></th><td>_Cursiva_</td><td><em>Cursiva</em></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_ins.png" style="border: 1px solid #bbb;" alt="Subrayado" /></th><td>+Subrayado+</td><td><ins>Subrayado</ins></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_del.png" style="border: 1px solid #bbb;" alt="Tachado" /></th><td>-Tachado-</td><td><del>Tachado</del></td></tr>
+<tr><th></th><td>??Cita??</td><td><cite>Cita</cite></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_code.png" style="border: 1px solid #bbb;" alt="C&oacute;digo en linea" /></th><td>@C&oacute;digo en linea@</td><td><code>C&oacute;digo en linea</code></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_pre.png" style="border: 1px solid #bbb;" alt="C&oacute; preformateado" /></th><td>&lt;pre&gt;<br />&nbsp;L&iacute;neas<br />&nbsp;de c&oacute;<br />&lt;/pre&gt;</td><td>
+<pre>
+ l&iacute;neas
+ de c&oacute;digo
+</pre>
+</td></tr>
+
+<tr><th colspan="3">Listas</th></tr>
+<tr><th><img src="../../images/jstoolbar/bt_ul.png" style="border: 1px solid #bbb;" alt="Lista no ordenada" /></th><td>* art&iacute;culo 1<br />** Sub<br />* art&iacute;culo 2</td><td><ul><li>art&iacute;culo 1<ul><li>Sub</li></ul></li><li>art&iacute;culo</li></ul></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_ol.png" style="border: 1px solid #bbb;" alt="Lista ordenada" /></th><td># art&iacute;culo 1<br />## Sub<br /># art&iacute;culo 2</td><td><ol><li>art&iacute;culo 1<ol><li>Sub</li></ol></li><li>art&iacute;culo 2</li></ol></td></tr>
+
+<tr><th colspan="3">Cabeceras</th></tr>
+<tr><th><img src="../../images/jstoolbar/bt_h1.png" style="border: 1px solid #bbb;" alt="Cabecera 1" /></th><td>h1. T&iacute;tulo 1</td><td><h1>T&iacute;tulo 1</h1></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_h2.png" style="border: 1px solid #bbb;" alt="Cabecera 2" /></th><td>h2. T&iacute;tulo 2</td><td><h2>T&iacute;tulo 2</h2></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_h3.png" style="border: 1px solid #bbb;" alt="Cabecera 3" /></th><td>h3. T&iacute;tulo 3</td><td><h3>T&iacute;tulo 3</h3></td></tr>
+
+<tr><th colspan="3">Enlaces</th></tr>
+<tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
+<tr><th></th><td>"Foo":http://foo.bar</td><td><a href="#">Foo</a></td></tr>
+
+<tr><th colspan="3">Enlaces de Redmine</th></tr>
+<tr><th><img src="../../images/jstoolbar/bt_link.png" style="border: 1px solid #bbb;" alt="Enlace a una p&aacute;gina de la Wiki" /></th><td>[[pagina Wiki]]</td><td><a href="#">Pagina Wiki</a></td></tr>
+<tr><th><img src="../../images/jstoolbar/bt_link.png" style="border: 1px solid #bbb;" alt="Enlace a una p&aacute;gina de la Wiki con nombre descripciptivo" /></th><td>[[pagina Wiki|Nombre descriptivo]]</td><td><a href="#">Nombre descriptivo</a></td></tr>
+<tr><th></th><td>Petici&oacute;n  #12</td><td>Petici&oacute;n <a href="#">#12</a></td></tr>
+<tr><th></th><td>Revisi&oacute;n r43</td><td>Revisi&oacute;n <a href="#">r43</a></td></tr>
+<tr><th></th><td>commit:f30e13e43</td><td><a href="#">f30e13e4</a></td></tr>
+<tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
+
+<tr><th colspan="3">Im&aacute;genes en l&iacute;nea</th></tr>
+<tr><th><img src="../../images/jstoolbar/bt_img.png" style="border: 1px solid #bbb;" alt="Imagen" /></th><td>!<em>imagen_url</em>!</td><td></td></tr>
+<tr><th></th><td>!<em>imagen_adjunta</em>!</td><td></td></tr>
+
+<tr><th colspan="3">Tables</th></tr>
+<tr>
+  <th></th>
+  <td>|_. A |_. B |_. C |<br />| A | B | C |<br />|/2. row span | B | C |<br />|\2. col span |</td>
+  <td>
+    <table class="sample">
+      <tbody>
+        <th>A</th><th>B</th><th>C</th>
+        <tr><td>A</td><td>B</td><td>C</td></tr>
+        <tr><td rowspan="2">row span</td><td>B</td><td>C</td></tr>
+        <tr><td colspan="2">col span</td></tr>
+      </tbody>
+    </table>
+  </td>
+</tr>
+
+</table>
+
+<p><a href="wiki_syntax_detailed.html" onclick="window.open('wiki_syntax_detailed.html', '', ''); return false;">M&aacute;s informaci&oacute;n</a></p>
+
+</body>
+</html>

Property changes on: branches/3.0-stable/public/help/es-pa/wiki_syntax.html
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: branches/3.0-stable/public/help/es-pa/wiki_syntax_detailed.html
===================================================================
--- branches/3.0-stable/public/help/es-pa/wiki_syntax_detailed.html	(nonexistent)
+++ branches/3.0-stable/public/help/es-pa/wiki_syntax_detailed.html	(revision 14196)
@@ -0,0 +1,333 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+<head>
+<title>RedmineWikiFormatting</title>
+<meta http-equiv="content-type" content="text/html; charset=utf-8" />
+<style type="text/css">
+    body { font:80% Verdana,Tahoma,Arial,sans-serif; }
+    h1, h2, h3, h4 {  font-family: Trebuchet MS,Georgia,"Times New Roman",serif; }
+    pre, code { font-size:120%; }
+    pre code { font-size:100%; }
+    pre {
+        margin: 1em 1em 1em 1.6em;
+        padding: 2px;
+        background-color: #fafafa;
+        border: 1px solid #dadada;
+        width:95%;
+        overflow-x: auto;
+    }
+    a.new { color: #b73535; }
+
+    .syntaxhl .line-numbers { padding: 2px 4px 2px 4px; background-color: #eee; margin:0 }
+    .syntaxhl .comment  { color:#666; }
+
+    .syntaxhl .class { color:#B06; font-weight:bold }
+    .syntaxhl .delimiter { color:black }
+    .syntaxhl .function { color:#06B; font-weight:bold }
+
+    .syntaxhl .inline { background: #eee }
+    .syntaxhl .inline .inline-delimiter { font-weight: bold; color: #888 }
+
+    .syntaxhl .instance-variable { color:#33B }
+    .syntaxhl .reserved { color:#080; font-weight:bold }
+
+    .syntaxhl .string { background-color:#fff0f0; color: #D20; }
+    .syntaxhl .string .delimiter { color:#710 }
+
+</style>
+</head>
+
+<body>
+<h1><a name="1" class="wiki-page"></a>Wiki formatting</h1>
+
+    <h2><a name="2" class="wiki-page"></a>Links</h2>
+
+        <h3><a name="3" class="wiki-page"></a>Redmine links</h3>
+
+        <p>Redmine allows hyperlinking between resources (issues, changesets, wiki pages...) from anywhere wiki formatting is used.</p>
+        <ul>
+            <li>Link to an issue: <strong>#124</strong> (displays <del><a href="#" class="issue" title="bulk edit doesn't change the category or fixed version properties (Closed)">#124</a></del>, link is striked-through if the issue is closed)</li>
+            <li>Link to an issue note: <strong>#124-6</strong>, or <strong>#124#note-6</strong></li>
+        </ul>
+
+        <p>Wiki links:</p>
+
+        <ul>
+            <li><strong>[[Guide]]</strong> displays a link to the page named 'Guide': <a href="#" class="wiki-page">Guide</a></li>
+            <li><strong>[[Guide#further-reading]]</strong> takes you to the anchor "further-reading". Headings get automatically assigned anchors so that you can refer to them: <a href="#" class="wiki-page">Guide</a></li>
+            <li><strong>[[Guide|User manual]]</strong> displays a link to the same page but with a different text: <a href="#" class="wiki-page">User manual</a></li>
+        </ul>
+
+        <p>You can also link to pages of an other project wiki:</p>
+
+        <ul>
+            <li><strong>[[sandbox:some page]]</strong> displays a link to the page named 'Some page' of the Sandbox wiki</li>
+            <li><strong>[[sandbox:]]</strong> displays a link to the Sandbox wiki main page</li>
+        </ul>
+
+        <p>Wiki links are displayed in red if the page doesn't exist yet, eg: <a href="#" class="wiki-page new">Nonexistent page</a>.</p>
+
+        <p>Links to other resources:</p>
+
+        <ul>
+            <li>Documents:
+                <ul>
+                    <li><strong>document#17</strong> (link to document with id 17)</li>
+                    <li><strong>document:Greetings</strong> (link to the document with title "Greetings")</li>
+                    <li><strong>document:"Some document"</strong> (double quotes can be used when document title contains spaces)</li>
+                    <li><strong>sandbox:document:"Some document"</strong> (link to a document with title "Some document" in other project "sandbox")</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+            <li>Versions:
+                <ul>
+                    <li><strong>version#3</strong> (link to version with id 3)</li>
+                    <li><strong>version:1.0.0</strong> (link to version named "1.0.0")</li>
+                    <li><strong>version:"1.0 beta 2"</strong></li>
+                    <li><strong>sandbox:version:1.0.0</strong> (link to version "1.0.0" in the project "sandbox")</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+            <li>Attachments:
+                <ul>
+                    <li><strong>attachment:file.zip</strong> (link to the attachment of the current object named file.zip)</li>
+                    <li>For now, attachments of the current object can be referenced only (if you're on an issue, it's possible to reference attachments of this issue only)</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+            <li>Changesets:
+                <ul>
+                    <li><strong>r758</strong>                       (link to a changeset)</li>
+                    <li><strong>commit:c6f4d0fd</strong>            (link to a changeset with a non-numeric hash)</li>
+                    <li><strong>svn1|r758</strong>                  (link to a changeset of a specific repository, for projects with multiple repositories)</li>
+                    <li><strong>commit:hg|c6f4d0fd</strong>         (link to a changeset with a non-numeric hash of a specific repository)</li>
+                    <li><strong>sandbox:r758</strong>               (link to a changeset of another project)</li>
+                    <li><strong>sandbox:commit:c6f4d0fd</strong>    (link to a changeset with a non-numeric hash of another project)</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+             <li>Repository files:
+                <ul>
+                    <li><strong>source:some/file</strong>           (link to the file located at /some/file in the project's repository)</li>
+                    <li><strong>source:some/file@52</strong>        (link to the file's revision 52)</li>
+                    <li><strong>source:some/file#L120</strong>      (link to line 120 of the file)</li>
+                    <li><strong>source:some/file@52#L120</strong>   (link to line 120 of the file's revision 52)</li>
+                    <li><strong>source:"some file@52#L120"</strong> (use double quotes when the URL contains spaces</li>
+                    <li><strong>export:some/file</strong>           (force the download of the file)</li>
+                    <li><strong>source:svn1|some/file</strong>      (link to a file of a specific repository, for projects with multiple repositories)</li>
+                    <li><strong>sandbox:source:some/file</strong>   (link to the file located at /some/file in the repository of the project "sandbox")</li>
+                    <li><strong>sandbox:export:some/file</strong>   (force the download of the file)</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+            <li>Forums:
+			    <ul>
+                    <li><strong>forum#1</strong> (link to forum with id 1</li>
+                    <li><strong>forum:Support</strong> (link to forum named Support)</li>
+                    <li><strong>forum:"Technical Support"</strong> (use double quotes if forum name contains spaces)</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+            <li>Forum messages:
+			    <ul>
+                    <li><strong>message#1218</strong> (link to message with id 1218)</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+            <li>Projects:
+                <ul>
+                    <li><strong>project#3</strong> (link to project with id 3)</li>
+                    <li><strong>project:some-project</strong> (link to project with name or slug of "some-project")</li>
+                    <li><strong>project:"Some Project"</strong> (use double quotes for project name containing spaces)</li>
+                </ul></li>
+        </ul>
+
+        <ul>
+            <li>News:
+			    <ul>
+                    <li><strong>news#2</strong> (link to news item with id 2)</li>
+                    <li><strong>news:Greetings</strong> (link to news item named "Greetings")</li>
+                    <li><strong>news:"First Release"</strong> (use double quotes if news item name contains spaces)</li>
+                </ul></li>
+        </ul>
+
+        <p>Escaping:</p>
+
+        <ul>
+            <li>You can prevent Redmine links from being parsed by preceding them with an exclamation mark: !</li>
+        </ul>
+
+
+        <h3><a name="4" class="wiki-page"></a>External links</h3>
+
+        <p>HTTP URLs and email addresses are automatically turned into clickable links:</p>
+
+<pre>
+http://www.redmine.org, someone@foo.bar
+</pre>
+
+        <p>displays: <a class="external" href="http://www.redmine.org">http://www.redmine.org</a>, <a href="mailto:someone@foo.bar" class="email">someone@foo.bar</a></p>
+
+        <p>If you want to display a specific text instead of the URL, you can use the standard textile syntax:</p>
+
+<pre>
+"Redmine web site":http://www.redmine.org
+</pre>
+
+        <p>displays: <a href="http://www.redmine.org" class="external">Redmine web site</a></p>
+
+
+    <h2><a name="5" class="wiki-page"></a>Text formatting</h2>
+
+
+    <p>For things such as headlines, bold, tables, lists, Redmine supports Textile syntax.  See <a class="external" href="http://en.wikipedia.org/wiki/Textile_%28markup_language%29">http://en.wikipedia.org/wiki/Textile_(markup_language)</a> for information on using any of these features.  A few samples are included below, but the engine is capable of much more of that.</p>
+
+        <h3><a name="6" class="wiki-page"></a>Font style</h3>
+
+<pre>
+* *bold*
+* _italic_
+* _*bold italic*_
+* +underline+
+* -strike-through-
+</pre>
+
+        <p>Display:</p>
+
+        <ul>
+            <li><strong>bold</strong></li>
+            <li><em>italic</em></li>
+            <li><em><strong>bold italic</strong></em></li>
+            <li><ins>underline</ins></li>
+            <li><del>strike-through</del></li>
+        </ul>
+
+        <h3><a name="7" class="wiki-page"></a>Inline images</h3>
+
+        <ul>
+            <li><strong>!image_url!</strong> displays an image located at image_url (textile syntax)</li>
+            <li><strong>!&gt;image_url!</strong> right floating image</li>
+            <li>If you have an image attached to your wiki page, it can be displayed inline using its filename: <strong>!attached_image.png!</strong></li>
+        </ul>
+
+        <h3><a name="8" class="wiki-page"></a>Headings</h3>
+
+<pre>
+h1. Heading
+h2. Subheading
+h3. Subsubheading
+</pre>
+
+        <p>Redmine assigns an anchor to each of those headings thus you can link to them with "#Heading", "#Subheading" and so forth.</p>
+
+
+        <h3><a name="9" class="wiki-page"></a>Paragraphs</h3>
+
+<pre>
+p&gt;. right aligned
+p=. centered
+</pre>
+
+        <p style="text-align:center;">This is a centered paragraph.</p>
+
+
+        <h3><a name="10" class="wiki-page"></a>Blockquotes</h3>
+
+        <p>Start the paragraph with <strong>bq.</strong></p>
+
+<pre>
+bq. Rails is a full-stack framework for developing database-backed web applications according to the Model-View-Control pattern.
+To go live, all you need to add is a database and a web server.
+</pre>
+
+        <p>Display:</p>
+
+        <blockquote>
+                <p>Rails is a full-stack framework for developing database-backed web applications according to the Model-View-Control pattern.<br />To go live, all you need to add is a database and a web server.</p>
+        </blockquote>
+
+
+        <h3><a name="11" class="wiki-page"></a>Table of content</h3>
+
+<pre>
+{{toc}} =&gt; left aligned toc
+{{&gt;toc}} =&gt; right aligned toc
+</pre>
+
+        <h3><a name="14" class="wiki-page"></a>Horizontal Rule</h3>
+
+<pre>
+---
+</pre>
+
+    <h2><a name="12" class="wiki-page"></a>Macros</h2>
+
+    <p>Redmine has the following builtin macros:</p>
+
+    <p>
+    <dl>
+      <dt><code>hello_world</code></dt>
+      <dd><p>Sample macro.</p></dd>
+
+      <dt><code>macro_list</code></dt>
+      <dd><p>Displays a list of all available macros, including description if available.</p></dd>
+
+      <dt><code>child_pages</code></dt>
+      <dd><p>Displays a list of child pages. With no argument, it displays the child pages of the current wiki page. Examples:</p>
+      <pre><code>{{child_pages}} -- can be used from a wiki page only
+{{child_pages(depth=2)}} -- display 2 levels nesting only</code></pre></dd>
+
+      <dt><code>include</code></dt>
+      <dd><p>Include a wiki page. Example:</p>
+      <pre><code>{{include(Foo)}}</code></pre>
+      <p>or to include a page of a specific project wiki:</p>
+      <pre><code>{{include(projectname:Foo)}}</code></pre></dd>
+
+      <dt><code>collapse</code></dt>
+      <dd><p>Inserts of collapsed block of text. Example:</p>
+      <pre><code>{{collapse(View details...)
+This is a block of text that is collapsed by default.
+It can be expanded by clicking a link.
+}}</code></pre></dd>
+
+      <dt><code>thumbnail</code></dt>
+      <dd><p>Displays a clickable thumbnail of an attached image. Examples:</p>
+      <pre>{{thumbnail(image.png)}}
+{{thumbnail(image.png, size=300, title=Thumbnail)}}</pre></dd>
+    </dl>
+    </p>
+
+    <h2><a name="13" class="wiki-page"></a>Code highlighting</h2>
+
+    <p>Default code highlightment relies on <a href="http://coderay.rubychan.de/" class="external">CodeRay</a>, a fast syntax highlighting library written completely in Ruby. It currently supports c, cpp, css, delphi, groovy, html, java, javascript, json, php, python, rhtml, ruby, scheme, sql, xml and yaml languages.</p>
+
+    <p>You can highlight code in your wiki page using this syntax:</p>
+
+<pre>
+&lt;pre&gt;&lt;code class="ruby"&gt;
+  Place your code here.
+&lt;/code&gt;&lt;/pre&gt;
+</pre>
+
+    <p>Example:</p>
+
+<pre><code class="ruby syntaxhl"><span class="line-numbers"> 1</span> <span class="comment"># The Greeter class</span>
+<span class="line-numbers"> 2</span> <span class="reserved">class</span> <span class="class">Greeter</span>
+<span class="line-numbers"> 3</span>   <span class="reserved">def</span> <span class="function">initialize</span>(name)
+<span class="line-numbers"> 4</span>     <span class="instance-variable">@name</span> = name.capitalize
+<span class="line-numbers"> 5</span>   <span class="reserved">end</span>
+<span class="line-numbers"> 6</span>
+<span class="line-numbers"> 7</span>   <span class="reserved">def</span> <span class="function">salute</span>
+<span class="line-numbers"> 8</span>     puts <span class="string"><span class="delimiter">"</span><span class="content">Hello </span><span class="inline"><span class="inline-delimiter">#{</span><span class="instance-variable">@name</span><span class="inline-delimiter">}</span></span><span class="content">!</span><span class="delimiter">"</span></span>
+<span class="line-numbers"> 9</span>   <span class="reserved">end</span>
+<span class="line-numbers"><strong>10</strong></span> <span class="reserved">end</span></code>
+</pre>
+</body>
+</html>

Property changes on: branches/3.0-stable/public/help/es-pa/wiki_syntax_detailed.html
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property