Index: sandbox/rails-5.1/app/views/welcome/robots.html.erb
===================================================================
--- sandbox/rails-5.1/app/views/welcome/robots.html.erb	(revision 16802)
+++ sandbox/rails-5.1/app/views/welcome/robots.html.erb	(nonexistent)
@@ -1,10 +0,0 @@
-User-agent: *
-<% @projects.each do |p| -%>
-Disallow: /projects/<%= p.to_param %>/repository
-Disallow: /projects/<%= p.to_param %>/issues
-Disallow: /projects/<%= p.to_param %>/activity
-<% end -%>
-Disallow: /issues/gantt
-Disallow: /issues/calendar
-Disallow: /activity
-Disallow: /search

Property changes on: sandbox/rails-5.1/app/views/welcome/robots.html.erb
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Index: sandbox/rails-5.1/app/views/welcome/robots.text.erb
===================================================================
--- sandbox/rails-5.1/app/views/welcome/robots.text.erb	(nonexistent)
+++ sandbox/rails-5.1/app/views/welcome/robots.text.erb	(revision 16803)
@@ -0,0 +1,10 @@
+User-agent: *
+<% @projects.each do |p| -%>
+Disallow: /projects/<%= p.to_param %>/repository
+Disallow: /projects/<%= p.to_param %>/issues
+Disallow: /projects/<%= p.to_param %>/activity
+<% end -%>
+Disallow: /issues/gantt
+Disallow: /issues/calendar
+Disallow: /activity
+Disallow: /search

Property changes on: sandbox/rails-5.1/app/views/welcome/robots.text.erb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: sandbox/rails-5.1/config/routes.rb
===================================================================
--- sandbox/rails-5.1/config/routes.rb	(revision 16802)
+++ sandbox/rails-5.1/config/routes.rb	(revision 16803)
@@ -376,7 +376,7 @@
 
   match 'uploads', :to => 'attachments#upload', :via => :post
 
-  get 'robots.txt', :to => 'welcome#robots'
+  get 'robots', :to => 'welcome#robots', :format => 'txt'
 
   Dir.glob File.expand_path("#{Redmine::Plugin.directory}/*") do |plugin_dir|
     file = File.join(plugin_dir, "config/routes.rb")
Index: sandbox/rails-5.1/test/functional/welcome_controller_test.rb
===================================================================
--- sandbox/rails-5.1/test/functional/welcome_controller_test.rb	(revision 16802)
+++ sandbox/rails-5.1/test/functional/welcome_controller_test.rb	(revision 16803)
@@ -77,13 +77,6 @@
     end
   end
 
-  def test_robots
-    get :robots
-    assert_response :success
-    assert_equal 'text/plain', @response.content_type
-    assert @response.body.match(%r{^Disallow: /projects/ecookbook/issues\r?$})
-  end
-
   def test_warn_on_leaving_unsaved_turn_on
     user = User.find(2)
     user.pref.warn_on_leaving_unsaved = '1'
Index: sandbox/rails-5.1/test/integration/welcome_test.rb
===================================================================
--- sandbox/rails-5.1/test/integration/welcome_test.rb	(nonexistent)
+++ sandbox/rails-5.1/test/integration/welcome_test.rb	(revision 16803)
@@ -0,0 +1,28 @@
+# Redmine - project management software
+# Copyright (C) 2006-2017  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+require File.expand_path('../../test_helper', __FILE__)
+
+class WelcomeTest < Redmine::IntegrationTest
+
+  def test_robots
+    get '/robots.txt'
+    assert_response :success
+    assert_equal 'text/plain', @response.content_type
+    assert @response.body.match(%r{^Disallow: /projects/ecookbook/issues\r?$})
+  end
+end

Property changes on: sandbox/rails-5.1/test/integration/welcome_test.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property